#include<bits/stdc++.h>
using namespace std;
ifstream f1("BAI3_18.inp");
ofstream f2("BAI3_18.out");
int main()
{
	int k;
	f1>>k;
	string s;
	fflush(stdin);
	getline(f1,s);
	string a=s.substr(s.length()-k,k);
	string b=s.insert(0,a);
	string c=s.erase(b.length()-k,k);
	f2<<c;
}
